---
title: Status Webhook
slug: poc-onboarding/status-webhook
createdAt: 2025-06-05T03:29:28.413Z
---

{
  "id": "loi7T2ityNn10NIp5I6UH",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://<WEBHOOK_TARGET_URL>",
    "servers": [
      {
        "url": "https://<WEBHOOK_TARGET_URL>"
      }
    ],
    "name": "Status Webhook",
    "description": "<p>This webhook returns the onboarding status of an entity created in the Create Entity and Verify endpoint. \nMonoova will share the static bearer token included in the webhook header, which can be used for verification.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "Authorization",
          "type": "Encoded/Binary",
          "description": ""
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "Webhook_-_Response",
          "schema": [
            {
              "name": "applicantId",
              "kind": "optional",
              "type": "string",
              "example": "140000249274x80293840283"
            },
            {
              "name": "status",
              "kind": "optional",
              "type": "string",
              "example": "Reviewed"
            },
            {
              "name": "reviewAnswer",
              "kind": "optional",
              "type": "string",
              "example": "Rejected"
            },
            {
              "name": "rejectLabels",
              "kind": "optional",
              "type": "array",
              "example": "[\"SANCTIONS\",\"COMPROMISED_PERSONS\"]",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "entityType",
              "kind": "optional",
              "type": "string",
              "example": "AUSTRALIAN PROPRIETARY COMPANY, LIMITED BY SHARES"
            },
            {
              "name": "registrySource",
              "kind": "optional",
              "type": "string",
              "example": "AUSTRALIAN SECURITIES & INVESTMENTS COMMISSION"
            },
            {
              "name": "registeredAddress",
              "kind": "optional",
              "type": "string",
              "example": "123 EXAMPLE LANE, PERTH, 6000, WA, AUSTRALIA"
            },
            {
              "name": "companyName",
              "kind": "optional",
              "type": "string",
              "example": "EXAMPLE LTD"
            },
            {
              "name": "registrationNumber",
              "kind": "optional",
              "type": "string",
              "example": "123 456 789"
            },
            {
              "name": "incorporatedOn",
              "kind": "optional",
              "type": "string",
              "example": "2020-12-01"
            },
            {
              "name": "representativeEmail",
              "kind": "optional",
              "type": "string",
              "example": "example@monoova.com"
            },
            {
              "name": "representativePhone",
              "kind": "optional",
              "type": "string",
              "example": "0400000000"
            },
            {
              "name": "flowQuestions",
              "kind": "optional",
              "type": "array",
              "example": "[\"Example question 1\",\"Example question 2\"]",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "flowAnswers",
              "kind": "optional",
              "type": "array",
              "example": "[\"Example answer 1\",\"Example answer 2\"]",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "flow",
              "kind": "optional",
              "type": "string",
              "example": "KYB Basic"
            },
            {
              "name": "sourceKey",
              "kind": "optional",
              "type": "string",
              "example": "Example Source Key"
            },
            {
              "name": "externalUserId",
              "kind": "optional",
              "type": "array",
              "example": "",
              "itemType": "object",
              "customType": "object[]",
              "itemExample": "",
              "itemDefault": ""
            }
          ],
          "modelRef": "#/components/schemas/Webhook_-_Response",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://<WEBHOOK_TARGET_URL> \\\n     --header 'accept: application/json' \\\n     --header 'authorization: Encoded/Binary'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"authorization\", \"Encoded/Binary\");\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://<WEBHOOK_TARGET_URL>\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://<WEBHOOK_TARGET_URL>\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"authorization\"] = \"Encoded/Binary\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://<WEBHOOK_TARGET_URL>\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'authorization': 'Encoded/Binary'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": ""
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "id": "wTnwbYtnmUp69oPx0Mlvo",
      "type": "paragraph",
      "children": [
        {
          "text": "This webhook returns the onboarding status of an entity created in the Create Entity and Verify endpoint. ",
          "id": "MrcAgM0pxRP_vbx2J9nlY"
        },
        {
          "text": "",
          "id": "qlnipYTtlyjHssCTPuVB0"
        },
        {
          "text": "Monoova will share the static bearer token included in the webhook header, which can be used for verification.",
          "id": "GKiazOJF4CwPzEPLyr6tp"
        }
      ]
    }
  ]
}